.\" $OpenBSD: otus.4,v 1.23 2013/06/02 20:23:33 tedu Exp $
.\"
.\" Copyright (c) 2009 Damien Bergamini <damien.bergamini@free.fr>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd $Mdocdate: June 2 2013 $
.Dt OTUS 4
.Os
.Sh NAME
.Nm otus
.Nd Atheros USB IEEE 802.11a/g/n wireless network device
.Sh SYNOPSIS
.Cd "otus* at uhub? port ?"
.Sh DESCRIPTION
The
.Nm
driver supports USB 2.0 wireless network devices based on Atheros
Communications AR9001U chipset.
.Pp
The AR9001U chipset is made of an AR9170 MAC/Baseband
and an AR9101 (1T2R), AR9102 (2T2R) or AR9104 (dual-band 2T2R)
Radio.
.Pp
These are the modes the
.Nm
driver can operate in:
.Bl -tag -width "IBSS-masterXX"
.It BSS mode
Also known as
.Em infrastructure
mode, this is used when associating with an access point, through
which all traffic passes.
This mode is the default.
.It monitor mode
In this mode the driver is able to receive packets without
associating with an access point.
This disables the internal receive filter and enables the card to
capture packets from networks which it wouldn't normally have access to,
or to scan for access points.
.El
.Pp
The
.Nm
driver can be configured to use
Wired Equivalent Privacy (WEP) or
Wi-Fi Protected Access (WPA-PSK and WPA2-PSK).
WPA is the de facto encryption standard for wireless networks.
It is strongly recommended that WEP
not be used as the sole mechanism
to secure wireless communication,
due to serious weaknesses in it.
.Pp
The
.Nm
driver can be configured at runtime with
.Xr ifconfig 8
or on boot with
.Xr hostname.if 5 .
.Sh FILES
The driver needs at least version 1.0 of the following firmware files,
which are loaded when an interface is attached:
.Pp
.Bl -tag -width Ds -offset indent -compact
.It /etc/firmware/otus-init
.It /etc/firmware/otus-main
.El
.Pp
Although these firmware files are freely redistributable, their usage
is restricted.
A prepackaged version of the firmware can be installed using
.Xr fw_update 1 .
.Sh HARDWARE
The following adapters should work:
.Pp
.Bl -tag -width Ds -offset indent -compact
.It 3Com 3CRUSBN275
.It Arcadyan WN7512
.\" .It AVM FRITZ!WLAN USB Stick N
.It CACE AirPcap \&Nx
.It D-Link DWA-130 rev \&D1
.It D-Link DWA-160 rev A1
.It D-Link DWA-160 rev A2
.It IO-Data WN-GDN/US2
.It NEC Aterm WL300NU-G
.It Netgear WNDA3100
.It Netgear WN111 v2
.It Planex GW-US300
.It SMC Networks SMCWUSB-N2
.It TP-Link TL-WN821N
.It Ubiquiti SR71 USB
.It Unex DNUA-81
.It Z-Com UB81
.It Z-Com UB82
.It ZyXEL NWD-271N
.El
.Sh EXAMPLES
The following example scans for available networks:
.Pp
.Dl # ifconfig otus0 scan
.Pp
The following
.Xr hostname.if 5
example configures otus0 to join network
.Dq mynwid ,
using WPA key
.Dq mywpakey ,
obtaining an IP address using DHCP:
.Bd -literal -offset indent
nwid mynwid
wpakey mywpakey
dhcp
.Ed
.Sh DIAGNOSTICS
.Bl -diag
.It "otus0: error N, could not read firmware ..."
For some reason, the driver was unable to read the microcode file from the
filesystem.
The file might be missing or corrupted.
.It "otus0: device timeout"
A frame dispatched to the hardware for transmission did not complete in time.
The driver will reset the hardware.
This should not happen.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr netintro 4 ,
.Xr usb 4 ,
.Xr hostname.if 5 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 4.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Damien Bergamini Aq damien@openbsd.org
based on source code licensed under the ISC released in 2008 by Atheros
Communications for Linux.
.Sh CAVEATS
The AVM FRITZ!WLAN USB Stick N adapter is currently not supported.
.Pp
The
.Nm
driver does not support any of the 802.11n capabilities offered by the
AR9001U chipset.
Additional work is required in
.Xr ieee80211 9
before those features can be supported.
